/*
 * Copyright (C) 2004   Derrick Moser
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef Buffer_h_included
#define Buffer_h_included

class Buffer
{
  int *m_buffer;
  int m_buffer_count;
  int m_buffer_max;

public:
  Buffer();
  ~Buffer();

  int getSize() const { return m_buffer_count; }
  int *getBuffer() const { return m_buffer; }
  bool append(int c);
  void removeFirst(int n);
  void removeLast(int n);
  void clear();
};

#endif // Buffer_h_included
